Package org.snpeff.vcf

# Enum Class VcfInfoType

java.lang.Object
java.lang.Enum<VcfInfoType>
org.snpeff.vcf.VcfInfoType

All Implemented Interfaces:
  `Serializable`, `Comparable<VcfInfoType>`, `Constable`

public enum VcfInfoType extends Enum<VcfInfoType>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`Character`
`Flag`
`Float`
`Integer`
`String`
`UNKNOWN`

## Method Summary

Modifier and Type
Method
Description
`static VcfInfoType`
`parse(String str)`
`static VcfInfoType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static VcfInfoType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### UNKNOWN

public static final VcfInfoType UNKNOWN

### String

public static final VcfInfoType String

### Integer

public static final VcfInfoType Integer

### Float

public static final VcfInfoType Float

### Flag

public static final VcfInfoType Flag

### Character

public static final VcfInfoType Character

## Method Details

### values

public static VcfInfoType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static VcfInfoType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### parse

public static VcfInfoType parse(String str)